gnutls_session_ticket_enable_server(3)

NAME
gnutls_session_ticket_enable_server - API function

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_session_ticket_enable_server(gnutls_session_t session, const gnutls_datum_t * key);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t structure.

const gnutls_datum_t * key
    key to encrypt session parameters.

DESCRIPTION
Request that the server should attempt session resumption using SessionTicket. key must be initialized with gnutls_session_ticket_key_generate().

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, or an error code.

SINCE
2.10.0

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>. GnuTLS home page: http://www.gnu.org/software/gnutls/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.